---
search:
  tags:
    - Orders
    - POST
seo:
  description: >-
    Release an exact set of held orders. Reference for the POST
    /v1/organizations/{orgId}/orders/releases endpoint in the Stashtab Vault
    Warehouse API.
sidebar:
  label: Release an exact set of held orders
  badge: POST
title: Release an exact set of held orders
type: openapi-operation
---
`POST /v1/organizations/{orgId}/orders/releases`

**Request body** (`application/json`, required)

- `orders` (object[], required)
- `release` (object, required)
- `submissionKey` (string, required)

Request body example:

```json
{
  "orders": [
    {
      "expectedRevision": "string",
      "orderId": "string"
    }
  ],
  "release": {
    "mode": "immediate"
  },
  "submissionKey": "stringst"
}
```

**Responses**

- `200` — Success
- `default` — Error

Response example, 200:

```json
{
  "data": {
    "effects": [
      "string"
    ],
    "operationId": "string",
    "outcome": "confirmed",
    "orders": [
      {
        "id": "string",
        "outcome": "confirmed",
        "release": {
          "mode": "immediate"
        }
      }
    ]
  },
  "meta": {
    "requestId": "string"
  }
}
```
